Azure
action VMSS

# restart_vmss

Restart a virtual machine scale set instance at random

Run it now
View details

Type | action
Module | chaosazure.vmss.actions
Name | restart_vmss
Return | None

Usage

JSON

    {
      "name": "restart-vmss",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosazure.vmss.actions",
        "func": "restart_vmss"
      }
    }

YAML

    name: restart-vmss
    provider:
      func: restart_vmss
      module: chaosazure.vmss.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
filter | string | null | No | Filter | Target filter selector

If the filter is omitted all virtual machine scale sets in the subscription will be selected as potential chaos candidates.

Filtering example: `'where resourceGroup=="myresourcegroup" and name="myresourcename"'`

Signature

    def restart_vmss(filter: str = None,
                     configuration: Dict[str, Dict[str, str]] = None,
                     secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- Azure
  action VMSS

  ## `deallocate_vmss`

  Deallocate a virtual machine scale set instance at random
- Azure
  action VMSS

  ## `delete_vmss`

  Delete a virtual machine scale set instance at random
- Azure
  action VMSS

  ## `stop_vmss`

  Stop a virtual machine scale set instance at random